<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<?php get_header(); ?>

<!-- begin .gp-main -->
<div class="gp-main">

	<div class="gp-row">

		<!-- begin gp-content -->
		<main class="gp-content">

			<?php if (!have_posts()) : ?>

				<!-- begin .gp-breadcrumbs -->
				<?php echo gp_breadcrumbs(); ?>
				<!-- end .gp-breadcrumbs -->

				<!-- begin .gp-error-title -->
				<div class="gp-error-title">

					<h1 class="page-title"><?php _e('Sorry, no results were found.', 'gp'); ?></h1>

				</div>
				<!-- end .gp-error-title -->

			<?php else: ?>

				<!-- begin .gp-breadcrumbs -->
				<?php echo gp_breadcrumbs(); ?>
				<!-- end .gp-breadcrumbs -->

				<!-- begin .gp-archive-title" -->
				<div class="gp-archive-title">

					<h1 class="page-title">

						<?php if (is_day()) : ?><?php printf(__('Daily Archives: %s', 'gp'), get_the_date()); ?>
						<?php elseif (is_month()) : ?><?php printf(__('Monthly Archives: %s', 'gp'), get_the_date('F Y')); ?>
						<?php elseif (is_year()) : ?><?php printf(__('Yearly Archives: %s', 'gp'), get_the_date('Y')); ?>
						<?php elseif (is_tag()) : ?><?php echo __('Posts Tagged', 'gp'); ?>: "<?php single_cat_title(); ?>"
						<?php elseif (is_author()) : ?>
						<?php if(get_query_var('author_name')) : $curauth = get_user_by('login', get_query_var('author_name')); else : $curauth = get_userdata(get_query_var('author')); endif; printf(__('Posts by: %s', 'gp'), $curauth->display_name); ?>
						<?php else : ?><?php _e('Category', 'gp'); ?> "<?php single_cat_title(); ?>"
						<?php endif; ?>

					</h1>

					<?php if (is_day()) : ?>
					<?php elseif (is_month()) : ?>
					<?php elseif (is_year()) : ?>
					<?php elseif (is_tag()) : ?>
					<?php elseif (is_author()) : ?>
					<?php else : ?>
					<?php if (category_description() == '') : ?>
					<?php else : ?>
						<div class="gp-category-description">
							<?php echo category_description(); ?>
						</div>
					<?php endif; ?>
					<?php endif; ?>

				</div>
				<!-- end .gp-archive-title" -->

				<?php get_template_part('content/archive/content', 'archive'); ?>
				
			<?php endif; ?>

			<?php if ($wp_query->max_num_pages > 1) : ?><nav class="gp-pagination"><?php gp_pagination(); ?></nav><?php endif; ?>	

		</main>
		<!-- end .gp-content -->

		<!-- begin .gp-sidebar -->
		<?php get_sidebar(); ?>
		<!-- end .gp-sidebar -->

	</div>

</div>
<!-- end .gp-main -->
		
<?php get_footer(); ?>