<?php
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/

/*
 * Metaboxes
 * --------------------------
 *
 */ 

add_filter( 'gp_metaboxes', 'gp_metaboxes' );
	
function gp_metaboxes( array $metaboxes ) {
		
		$prefix = 'gp_';

		$metaboxes[] = array(
			'id'		 => 'featured_posts',
			'title'      => __('Featured Posts', 'gp'),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'label' => __('Enable Featured Posts', 'gp'),
					'desc'	=> __('Check this to use this post as the featured posts.', 'gp'),
					'id'	=> $prefix . 'enable_featured_posts',
					'type'	=> 'checkbox'
				),
			)
		);

		$metaboxes[] = array(
			'id'		 => 'footer_posts',
			'title'      => __('Footer Posts', 'gp'),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'label' => __('Enable Footer Posts', 'gp'),
					'desc'	=> __('Check this to use this post as the footer posts.', 'gp'),
					'id'	=> $prefix . 'enable_footer_posts',
					'type'	=> 'checkbox'
				),
			)
		);

		$metaboxes[] = array(
			'id'		 => 'review_control',
			'title'      => __('Review Control', 'gp'),
			'pages'      => array('post'), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'fields' => array(
				array(
					'label' => __('Enable Review', 'gp'),
					'desc'	=> __('Check this to enable review system for this post.', 'gp'),
					'id'	=> $prefix . 'enable_review',
					'type'	=> 'checkbox'
				),
				array(
					'label' => __('Review Box Position', 'gp'),
					'desc'	=> __('Position of review box in the single post.', 'gp'),
					'id'	=> $prefix . 'review_position',
					'type'	=> 'select',
					'options' => array(
						'top' => 'top',
						'bottom' => 'bottom'
					),
					'std'	=> 'bottom'
				),
				array(
					'label' => __('Rating Criteria', 'gp'),
					'desc'	=> __('<strong>Label</strong> : A name of criteria - <strong>Score</strong> : A number value between 0 - 10, incerement 0.1.', 'gp'),
					'id'	=> $prefix . 'rating_criteria',
					'type'	=> 'rating_criteria'
				),
				array(
					'label' => __('Rating Type', 'gp'),
					'desc'	=> __('Select the rating type', 'gp'),
					'id'	=> $prefix . 'rating_type',
					'type'	=> 'select',
					'options' => array ( 'number' => 'Number', 'letter' => 'Letter Grade' )
				),
				array(
					'label' => __('Review Title', 'gp'),
					'desc'	=> __('Title of review box in the single post.', 'gp'),
					'id'	=> $prefix . 'review_box_title',
					'type'	=> 'text',
					'std'	=> 'Review Overview'
				),
				array(
					'label' => __('Summary', 'gp'),
					'desc'	=> __('Summary for of review box in single post.', 'gp'),
					'id'	=> $prefix . 'review_summary',
					'type'	=> 'textarea',
					'std'	=> ''
				),
			)
		);

		
	return $metaboxes;
}

