<?php

function gp_load_recent_posts() {
	register_widget('gp_recent_posts');
}

add_action('widgets_init', 'gp_load_recent_posts');

class gp_recent_posts extends WP_Widget {
	
/* Widget setup. */

function gp_recent_posts() {
	$widget_ops = array('classname' => 'gp_recent_posts', 'description' => __('A widget that displays recent posts.', 'gp') );
	$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'gp_recent_posts');
	$this->WP_Widget( 'gp_recent_posts', __('WGP - Recent Posts', 'gp'), $widget_ops, $control_ops);
}
	
/* Display the widget on the screen. */

function widget($args, $instance) {
	extract($args);
	$categories = $instance['categories'];
	if( $categories != '' ) :
		$title = '<a href="'.get_category_link( $categories ).'">'. apply_filters('widget_title', $instance['title'] ) .'</a>';
	else :
		$title = apply_filters('widget_title', $instance['title'] );
	endif;
	if( $categories == 'all' ) :
		$title = apply_filters('widget_title', $instance['title'] );
	endif;
	$posts = $instance['posts'];
		
	echo $before_widget;

	if($title) { echo $before_title . $title . $after_title; } ?>

	<?php $recent_posts = new WP_Query(array('showposts' => $posts,'cat' => $categories,)); ?>

	<?php if ($recent_posts->have_posts()) : ?>

		<?php $count = 0; ?>
					
		<?php while($recent_posts->have_posts()): $recent_posts->the_post(); global $post; ?>

		<?php $format = get_post_format(); if (false === $format) $format = 'standard'; ?>

		<?php $count++; ?>

			<?php if ( ($count == 1) ) : ?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>" <?php post_class('gp-first'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
		
					<!-- begin .entry-header -->
					<header class="entry-header">

						<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

						<div class="entry-meta hidden">

							<span class="entry-author"><span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

							<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

						</div>
		
					</header>
					<!-- end .entry-header -->

					<!-- begin .featured-image -->
					<div class="featured-image">

						<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-234x125', array('itemprop' => 'image')); ?></a><?php endif; ?>

						<?php if ($format == 'gallery') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

						<?php elseif ($format == 'video') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

						<?php elseif ($format == 'audio') : ?>

							<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

						<?php else: ?>

						<?php endif; ?>

						<?php if(get_post_meta( $post->ID, 'gp_' . 'enable_review', true )) gp_print_review_badge($post->ID); ?>

					</div>
					<!-- end .featured-image -->

				</article>
				<!-- end .hentry -->

			<?php else: ?>

				<!-- begin .hentry -->
				<article id="post-<?php the_ID(); ?>-recent" <?php post_class(); ?>>

					<!-- begin .entry-header -->
					<header class="entry-header">

						<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

						<div class="entry-meta hidden">

							<span class="entry-author"><span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

							<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

						</div>
		
					</header>
					<!-- end .entry-header -->

				</article>
				<!-- end .hentry -->

			<?php endif; ?>

		<?php endwhile; ?>

	<?php endif; ?>

	<?php wp_reset_query(); ?>

<?php echo $after_widget; }
	
/* Update the widget settings. */

function update($new_instance, $old_instance) {
	$instance = $old_instance;
	$instance['title'] = $new_instance['title'];
	$instance['categories'] = $new_instance['categories'];
	$instance['posts'] = $new_instance['posts'];	
	return $instance;
}

function form($instance) {
	$defaults = array('title' => 'Recent Posts', 'categories' => 'all', 'posts' => 5);
	$instance = wp_parse_args((array) $instance, $defaults); ?>

	<!-- Widget title: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'ft') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
	</p>
	
	<!-- Category: Select -->
	<p>
		<label for="<?php echo $this->get_field_id('categories'); ?>"><?php _e('Filter by Category:', 'ft') ?></label> 
		<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories">
			<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>All categories</option>
			<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
			<?php foreach($categories as $category) { ?>
			<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
			<?php } ?>
		</select>
	</p>
	
	<!-- Number of posts: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id('posts'); ?>"><?php _e('Number of posts:', 'ft') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
	</p>
		
<?php } } ?>