<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<?php global $grove_data; ?>

<!doctype html>
<html <?php language_attributes(); ?>>

<head>

	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<link rel="canonical" href="http://www.scriptcamp.ir" />
	<meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7; IE=EDGE" />
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title><?php wp_title('|',true,'right'); ?> <?php bloginfo('name'); ?></title>
	<!-- begin favicon -->
	<?php if(!empty($grove_data['grove_favicon'])): ?><link rel="shortcut icon" href="<?php echo esc_url($grove_data['grove_favicon']); ?>" type="image/x-icon" /><?php endif; ?>
	<!-- end favicon -->
	<!-- begin apple icon -->
	<?php if(!empty($grove_data['grove_apple_icon'])): ?><link rel="apple-touch-icon-precomposed" href="<?php echo esc_url($grove_data['grove_apple_icon']); ?>" /><?php endif; ?>
	<!-- end apple icon -->
	<!-- begin pingback -->
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<!-- end pingback -->
	<?php if(!empty($grove_data['grove_header_javascript'])): ?><?php echo $grove_data['grove_header_javascript']; ?><?php endif; ?>
	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?> itemscope="itemscope" itemtype="http://schema.org/WebPage">

<div class="gp-body <?php if($grove_data['grove_layout_style'] == 'Boxed'): ?>gp-boxed<?php endif; ?>">

<!-- begin .gp-container -->
<div id="container" class="gp-container">

<!-- begin .gp-pusher -->
<div class="gp-pusher">

<!-- begin .gp-mobile-menu -->
<nav class="gp-top-mobile-menu mobile-menu st-effect-3" id="menu-3">

	<form class="gp-search-form" role="search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		
		<input type="hidden" value="post" name="post_type" id="post_type" />
		
		<input type="text" id="s" name="s" placeholder="<?php _e('Search and hit enter...', 'gp'); ?>"/><button type="submit" id="searchsubmit" /><i class="fa fa-search"></i></button>
	
	</form>

	<?php wp_nav_menu( array('theme_location' => 'mobile_navigation','echo' => true,'items_wrap' => '<ul>%3$s</ul>')); ?>

</nav>
<!-- end .gp-mobile-menu --><!-- begin .gp-header -->
<header class="gp-header" role="banner" itemscope="itemscope" itemtype="http://schema.org/WPHeader">

	<!-- begin .gp-top-bar -->
	<div class="gp-top-bar">

		<div class="gp-row">

			<button type="button" data-effect="st-effect-3" class="gp-top-mobile-menu-button mobile-menu-button"><i class="fa fa-bars"></i></button>

			<div class="gp-top-search-button">

				<a href="#"><i class="fa fa-search"></i></a>

			</div>

			<div class="gp-show-search">

				<?php get_search_form( true ); ?>

			</div>

		</div>

	</div>
	<!-- end .gp-top-bar -->

	<!-- begin .gp-logo-ad -->
	<div class="gp-logo-ad">

		<div class="gp-row">

			<!-- begin .gp-logo -->
			<div class="gp-logo">

				<?php if(is_home() || is_front_page()) : ?>

					<?php if(!empty($grove_data['grove_logo'])): ?>

						<h1 class="gp-site-logo" itemprop="headline"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo esc_url($grove_data['grove_logo']); ?>" atl="<?php bloginfo('name'); ?>" /></a></h1>

					<?php else: ?>

						<h1 class="gp-site-title" itemprop="headline"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
					
						<p class="gp-site-description" itemprop="description"><?php bloginfo('description'); ?></p>

					<?php endif; ?>

				<?php else: ?>

					<?php if(!empty($grove_data['grove_logo'])): ?>

						<h2 class="gp-site-logo"><a itemprop="headline" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><img src="<?php echo esc_url($grove_data['grove_logo']); ?>" atl="<?php bloginfo('name'); ?>" /></a></h2>

					<?php else: ?>

						<h2 class="gp-site-title" itemprop="headline"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h2>

						<p class="gp-site-description" itemprop="description"><?php bloginfo('description'); ?></p>

					<?php endif; ?>

				<?php endif; ?>

			</div>
			<!-- end .gp-logo -->

			<!-- begin .gp-header-ad -->
			<?php if(!empty($grove_data['grove_enable_header_ad'])): ?>
			<div class="gp-header-ad">

				<?php if(!empty($grove_data['grove_header_ad'])): ?><?php echo $grove_data['grove_header_ad']; ?><?php endif; ?>

			</div>
			<?php endif; ?>
			<!-- end .gp-header-ad -->

		</div>

	</div>
	<!-- end .gp-logo -->

	<!-- begin .gp-primary-navigation -->
	<div id="gp-sticker">

		<div class="gp-row">

			<nav class="gp-primary-navigation" role="navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
			
				<?php wp_nav_menu( array('theme_location' => 'primary_navigation','echo' => true,'items_wrap' => '<ul>%3$s</ul>')); ?>

			</nav>

			<div class="gp-search-button">

				<a href="#"><i class="fa fa-search"></i><span><?php _e('Search' ,'gp'); ?></span></a>

			</div>

			<div class="gp-show-search">

				<?php get_search_form( true ); ?>

			</div>

		</div>

	</div>
	<!-- end .gp-primary-navigation -->

	<!-- begin .gp-secondary-navigation -->
	<nav class="gp-secondary-navigation">

		<div class="gp-row">

			<?php wp_nav_menu( array('theme_location' => 'secondary_navigation','echo' => true,'items_wrap' => '<ul>%3$s</ul>')); ?>

		</div>

	</nav>
	<!-- end .gp-secondary-navigation -->

</header>
<!-- end .gp-header -->